Our Blog

WordPress 4.5.2 – ‘Coleman’ fixes Common Security Vulnerabilities

It’s been almost a week since WordPress 4.5.2 Security Release, and if you haven’t already, you should update now. The reason for this persistence – This release fixes some really embarrassing and easily exploitable security vulnerabilities present in WordPress since at least 4.2. This is an end-user/ client/ non-developer version of what was wrong and […]